class ApiSalesController < ApiController

  before_filter :api_signed_in_user

  respond_to :json

  # deprecated in favor of ApiPaymentHistoriesController
  def index
    data = Sale.index(current_user,
                      page: params[:page],
                      per_page: params[:per_page])


    @sales = data[:query]
    @next = data[:next_page]
    render "api_sales/index", :layout => nil
  end
end